// % Title = ⛏️ Minecraft
// % HTMLTitle = <span class="twa twa-⛏️">⛏️</span> Minecraft
// % Categories = Gaming
// % UpdatedOn = 2023-04-01

# <span class="twa twa-⛏️">⛏️</span> Minecraft

Credo si possa definire Minecraft come **il** gioco moderno (bene o male) che da semplici premesse sviluppa complessità potenzialmente infinita. In senso buono, ovviamente: la complessità va a colpire e a premiare chi la cerca, ma il titolo resta giocabile per chiunque.

All'inizio è fare "case" che sono buchi 4x4 sotto terra, ma dopo diventa creare installazioni titaniche, puramente estetiche o anche totalmente funzionali - non dimentichiamo che Minecraft, con la sua pietrarossa, è Turing-complete. E alla fine? Beh, non si arriverà mai alla fine...

...WIP. Per altre informazioni non totalmente soggettive, per ora c'è [Wikipedia]([:WikipediaIt:]/Minecraft){[:MdTgtBlank:]}.

## La mia storia

Scoprii Minecraft quando avevo forse 7 anni, perché al doposcuola un altro bambino lo aveva sul tablet. Mi ricordo che aveva costruito diversi edifici vasti, con decorazioni e tutto. Mi fulminò praticamente all'istante, perché non avevo visto mai nessun gioco che si avvicinasse lontanamente a questo, seppure all'epoca eravamo alle primissime versioni alpha di Minecraft Pocket Edition, che avevano pochissimi contenuti (meno di Minecraft Java alpha!).

Fu difficile ottenere l'applicazione, per motivi che riguardano il mio uso in generale di Android ai tempi, ma alla fine riuscii a procurarmela sul mio Galaxy Player, e poi sul mio tablet scassone. All'inizio avevo la demo, inutile dire che non andava bene perché i progressi non potevano essere salvati all'uscita, e quindi giocare era inutile. Poi, in qualche modo che nemmeno ricordo, l'APK della versione completa riuscii a trovarlo.

Da lì, ogni ora di gioco era una nuova scoperta, o un nuovo obiettivo autoimposto raggiunto. Iniziai a costruire strani edifici difficili da navigare, con passaggi intricati, che se volessi fare oggi non saprei nemmeno da dove iniziare.
A causa di tutta una serie di eventi, i mondi che avevo sul tablet (che non erano niente di che, infatti neanche me li ricordo per bene) li ho persi, ma quelli del Galaxy Player ci sono pervenuti ancora oggi. Ecco alcune foto di quello che all'epoca era il mio importante: <https://pixelfed.uno/p/octo/299639948389257216>{[:MdTgtBlank:]}.

Poco dopo venni a conoscenza, grazie ad un'applicazione che non ricordo se scoprii per caso su Google Play o mi fu consigliata, dell'esistenza delle mappe tematiche create e condivise da altri giocatori in rete. Ci persi un po' di tempo, specialmente su quelle di parkour: con i controlli touch (e all'epoca niente accovacciamento!) diventavano rapidamente una tortura, ma quando si riesce a fare i salti difficili e si va avanti è sempre bello.

Sul PC che avevo a casa all'epoca, Minecraft non c'era modo di farlo partire, chissà per quale oscuro motivo; immagino scheda video, e/o driver video, antichi.
Alla fine del 2014 avevo poi tentato di farlo girare su quello che a questo punto era il mio nuovo tablet Windows (sempre scassone, ma in modi diverso da quello Android), e in qualche modo era partito, ma girava troppo lento per essere giocabile. Peccato che all'epoca non sapevo di poter tentare di abbassare la risoluzione o avviare una versione più vecchia per avere maggiori prestazioni. Quando 2 mesi dopo, ormai nel 2015, arrivò il nuovo PC a casa, non ricordo perché ma non provai nemmeno a far funzionare Minecraft. Tristezza. Alla fine del nuovo anno ho poi avuto il portatile, e lì Minecraft l'ho messo, e l'ho consumato, eccome se l'ho consumato!

Ho iniziato lì sia giocando offline che su alcuni server italiani. Qualche mese dopo ancora poi, quando ho comprato un account legittimo del gioco, ho potuto provare anche i server globalmente rinomati come Hypixel, ed altri che ora non ricordo, perché ad oggi totalmente irrilevanti o possibilmente persino morti!

È stato sul PC che ho iniziato a vedere cose grosse con la pietrarossa, perché MCPE al tempo era ancora in alpha e relativamente scarno: un sacco di elementi mancavano. Chissà dove cavolo ho il salvataggio del mio primo mondo superpiatto fatto lì, con tutte le costruzioni inutili e gli esperimenti! Dovrei cercarlo.

Online, da subito ho iniziato a testare i minigiochi sui server: SkyWars, BedWars, Hunger Games, PvP FFA, qualcuno non-violento minore. Sulle BedWars ad un certo punto arrivo a passarci talmente tante ore di fila nel corso dei mesi che effettivamente le mie prestazioni diventano buone e spesso vinco le partite, ma se riprovassi a giocarci ora (e ci ho riprovato), mi accorgerei di quanta ruggine ho accumulato.

Ho poi dato una possibilità anche ad opzioni di gioco multiplayer strutturate a lungo termine, e non come minigiochi a partite: lotti in creativa, sopravvivenza classica, ma soprattutto la SkyBlock, quella era una roba epica.

Ci sono state poi altre cose in mezzo, tra MCPE che diventava Bedrock Edition, migliore in alcune cose e (tutt'ora) peggiore in altre, tempo speso su Minecraft Console Edition (la versione vecchia prima che Bedrock la soppiantasse) con i suoi minigiochi integrati che erano veramente carini. Quando nell'estate 2019 poi presi un new Nintendo 3DS XL, iniziai a giocare pure su quello a Minecraft, per me più comodo di giocare con i controlli touch su smartphone (per quando sono in mobilità), e si arriva fino ad oggi.

Ormai si alternano mesi in cui Minecraft lo apro quasi ogni giorno, ed altri (decisamente più frequenti) in cui mi dimentico completamente che esiste. Quasi 3 anni fa nasce la SpaccCraft - la terza edizione, se vogliamo essere onesti nei confronti di quegli altri due mondi in cui abbiamo un po' troppo esagerato e fatto **letteralmente** lo spacc, ma in fondo bisogna dato che "SpaccCraft" viene proprio da lì - e ormai è declinata pure quella. Il server funziona, ma gira praticamente a vuoto, nessuno gioca e non posso troppo lamentarmene, in quanto in primis io non trovo il tempo per farlo.

Fatevi un giro sul [sito di SpaccCraft](https://spacccraft.altervista.org){[:MdTgtBlank:]}, c'è un po' di roba concreta in più da vedere, e poche elucubrazioni riguardo la mia intera vita.
