// % Categories = Gaming
// % Index = Categories
// % Style = @import "[staticoso:Site:RelativeRoot]Assets/Pages/Raccolta-Videogiochi.css";
// % EditedOn = 2023-02-01

# Raccolta Videogiochi

Perché non fare una raccolta per parlare, un po' in breve, dei videogiochi che apprezzo? (In ordine alfabetico)  
Magari, riuscendo a puntare i riflettori anche su qualche esperienza videoludica mezza sconosciuta che però dovrebbe meritare molto di più.

Non è da escludere che in futuro, trovando ispirazione, potrei prendere e scrivere degli articoli lunghi e approfonditi su alcuni dei giochi che qui lodo, purtroppo, in maniera troppo "tocca e fuggi".

Per ogni gioco, oltre ad una breve recensione condita con qualche opinione, cercherò di includere anche del materiale multimediale (foto, video, e musica). Infine, quando possibile, saranno presenti, mediante una pagina di intermezzo/reindirizzamento, collegamenti per acquisto fisico e download.  
<!--
I link esterni non ufficiali ma **preceduti da spunta verde** (<span class="twa twa-✅">✅</span>) **sono** stati da me personalmente **verificati**, sia come sicuri che funzionanti - quelli non contrassegnati non sono verificati, ma puntano comunque ad una fonte notoriamente affidabile.
--->

Piccola nota: Le sottocategorie che ho qui nella la pagina non sono fisse. Potrei infatti spostare dei giochi in giro, a seguito di successive mie analisi sugli stessi.

_In costruzione..._

---

## Gli epici

Questo è il posto per i titoli migliori, **quelli epici e unici nel loro genere**, punto. E qui, non importa assolutamente che un dato gioco sia popolare o meno: conta solo quanto per me è importante.

### <a href="./2048.html">🔢️ 2048 ↗️</a>

### <span class="twa twa-🎩">🎩</span> A Hat in Time  
Platformer 3D vivace e frenetico, proveniente senza dubbio dalla scuola di Super Mario 64. La difficoltà della storia principale è giusta, e il gioco scorre piacevolmente con un alternarsi di temi e ambienti che sa sempre di fresco.  
Ma, insomma, già soltanto il carisma del personaggio protagonista fa venire voglia di giocare.

### <span class="twa twa-🍃">🍃</span> Animal Crossing  
Le premesse erano si creative, ma noiose: sei un essere umano che, per qualche motivo, va in viaggio a stabilirsi in un villaggio dove vivono animali umanoidi con cui puoi interagire. Nel frattempo, devi indebitarti con un procione che ti vende la nuova casa a carissimo prezzo, e fare quello che puoi per ripagare, con tempi che possono diventare infiniti. Ah, se vuoi puoi scegliere il tuo abbigliamento, arredare la tua casa, piazzare fiori in giardino... e?  
Animal Crossing è uno di quei giochi che va banalmente provato per essere capito: la permanenza in quel mondo riesce ad indurre calma ed allegria per motivi che, apparentemente, vanno al di là della logica.  
	• Animal Crossing: New Horizons: Ottieni: <https://go.octt.eu.org/$afa0200c237a>{[:MdTgtBlankNofw:]}

### <a href="./Minecraft.html"><span class="twa twa-⛏️">⛏️</span> Minecraft ↗️</a>

### <a href="./Minesweeper.html">💣 Minesweeper ↗️</a>

### <a href="./Mirrors-Edge.html"><span class="twa twa-🏃‍♀️">🏃‍♀️</span> Mirror's Edge ↗️</a>

<!--
Una serie di giochi in prima persona che, con un ritmo vivace ma non opprimente, mischia platforming parkour e combattimento ravvicinato.  
Ho giocato pochissimo la prima entrata della saga, perché fu la seconda uscita, Mirror's Edge Catalyst, ad introdurmi alla serie circa 2 anni fa. Catalyst lascia un po' da parte i colori molto saturi che erano parte dell'identità iniziale, per offrire grafica più realistica e immersiva. Anche la fisica e diversi dettagli minuti subiscono miglioramenti importanti rispetto al Mirror's Edge originale.  
In ogni caso, parliamo di un gioco capace di dare un gran senso di libertà e di speranza. È peculiare come i suoi piccoli dettagli riescano a farti sentire di essere effettivamente nel gioco - per un titolo non VR, è una grande vittoria. Il gameplay in sé è chiave per questa esperienza, ma anche la lore è di tutto rispetto.  
<video frameBorder="0" src="[:YouTube360:]2N1TJP1cxmo" style="Height:Calc(80vw / 16 * 9);"></video>  
<cite>Da <a href="[:YouTubeURL:]/2N1TJP1cxmo" [:HTMLTgtBlank:]>YouTube/2N1TJP1cxmo</a>.</cite>
-->

### <a href="./Nonogram.html">#️⃣️ Nonogram ↗️</a>

### <span class="twa twa-🐙">🐙</span> Splatoon  
Sparatutto in terza persona che dire diverso dagli altri è poco. Splatoon rompe le aspettative di realismo di guerra del genere, e presenta un gameplay simpatico, fatto di colori accecanti, che non si ferma mai. Non ci sono umani a sparare proiettili con il ferro, ma calamari che spargono inchiostro.  
Giocare in Mischie Mollusche (questo il nome delle battaglie online 4-contro-4) è divertente, ma profondità del gioco e inventiva del team di sviluppo si vedono in modalità storia.  
	• Splatoon 3: Ottieni: <https://go.octt.eu.org/$8e62cec12c93>{[:MdTgtBlankNofw:]}

### <a href="#--Tetris"><span class="twa twa-🧱">🧱</span> Tetris ↩️</a>  
#### Tetris Effect  
Tetris effect aggiunge a Tetris atmosfere ambient con tanti temi diversi. Effetti visivi e sonori lavorano gli uni per potenziare gli altri, e permettere la totale immersione, anche in un gioco che resta semplicemente fatto di cubi che cadono. Centinaia di migliaia di particelle ovunque, forme, colori, musica attraente, questa è la sua formula. Ha dei difetti, come l'essere particolarmente pesante per un Tetris e l'avere comandi non terribilmente responsivi, ma non per questo va buttato via. Resta da godere.  
<br/>[:YouTubeEmbedOpen169:]PFVL6t8IHE8[:YouTubeEmbedClose:]  
<cite>Da <a href="[:YouTubeURL:]/PFVL6t8IHE8" [:HTMLTgtBlank:]>YouTube/PFVL6t8IHE8</a>.</cite>

## Giochi multiforma

Ci sono certi giochi che - seppur tecnicamente semplici e basati su concetti immediati, quindi **implementabili** ed implementati, a livello di software, **infinite volte** - possono essere certamente degni. Anzi, la loro semplicità può essere spesso un pregio.  
Sostanzialmente, qui si parla di videogiochi classici per cui esistono centinaia di versioni diverse scritte da zero. Quando possibile, le implementazioni libere sono preferite nella classifica.

### <span class="twa twa-🧱">🧱</span> Tetris  
Il gioco creato appositamente per far incastrare alla gente quadratini di forme particolari che cadono dal cielo.  
Puzzle game particolarissimo nella sua semplicità dove, man mano che la difficoltà di gioco aumenta, la mancanza di riflessi pronti può far terminare prematuramente la partita.
#### <a href="#-Tetris-Effect">Tetris Effect ↩️</a>

## Perle segrete

Ci sono alcuni giochini che magari non arrivano per me ad essere epici, e vabbè - però sono comunque piccole perle, forse anche minuscole.  
Perché ne dovrei parlare? Perché magari sono davvero sconosciuti, o quasi; e ciò è un vero, vero peccato.

...ancora nulla di scritto!

## Quelli liberi

Qui sotto mi va di raccogliere qualche videogioco unico che secondo me merita - anche se non si aggiudica alcun posto nella classifica epica - ma che oltre ad essere di per se bello ha il valore aggiunto di essere **software libero**.

Se proprio vuoi provare qualcosa da questa pagina, e non sai davvero cosa, io direi di cercare proprio in questa sezione, e di fare il più grande piacere agli sviluppatori se la tua esperienza sarà stata degna: partecipare allo sviluppo, o anche soltanto fare a tua volta pubblicità.

### <span class="twa twa-🏎️">🏎️</span> SuperTuxKart  
Un gioco di corse in kart con ambienti carini e originali, e tante mascotte del mondo del software libero come personaggi. Ha diverse modalità di gioco, dalle corse classiche a missioni con obiettivi specifici, in solitaria o in multigiocatore. Per certi versi ha più di Mario Kart!  
	• Sito Ufficiale: <https://supertuxkart.net/Main_Page>{[:MdTgtBlank:]}

## Il resto

Preferisco avere questa sottosezione per menzionare i giochi che, seppur mi son piaciuti abbastanza da finire su questa pagina, sono per me poco meno importanti, oppure un po' troppo conosciuti.  
_I titoli che hanno soltanto una di queste due caratteristiche potrebbero anche trovarsi in sezioni sopra._

### <span class="twa twa-🧗‍♀️">🧗‍♀️</span> Celeste  
Celeste è un bel giochino platformer, con meccaniche originali e uno stile grafico unico. Però è troppo difficile.  
Ho provato a giocarci tante volte, ma ad un certo punto della storia la difficoltà diventa per me troppo alta. Dovrei forse provare a finirlo in modalità guidata, visto che l'opzione c'è. Fino a quando non l'ho fatto, però, non vado a cercare video del finale e spoilerarmi roba, visto che dicono che il valore di Celeste sta proprio nel suo significato.  
	• Ottieni: <https://go.octt.eu.org/$ce7941cddd5e>{[:MdTgtBlankNofw:]}  
<br/>[:YouTubeEmbedOpen169:]_bM0uEAis14[:YouTubeEmbedClose:]  
<cite>Da <a href="[:YouTubeURL:]/_bM0uEAis14" [:HTMLTgtBlank:]>YouTube/_bM0uEAis14</a>.</cite>

### <span class="twa twa-✈️">✈️</span> Pilotwings
#### Pilotwings Resort  
Pilotwings Resort continua la serie di Pilotwings, gioco di simulazione di volo arcade, in modo diverso. Finisce su una console portatile, il 3DS, tra l'altro una console che riesce a prenderti direttamente, con il suo display in 3D stereoscopico. Il gioco è ambientato su Wuhu Island, lo stesso posto pieno di storia, luoghi, e misteri di Wii Sports Resort. La modalità missioni riesce ad essere in certi casi una vera sfida se, come me, si ha la mania del platinaggio.. ma la modalità di volo libero è indiscutibilmente rilassante e, forse, direi anche più immersiva. In essa, comunque, non è che non si faccia nulla: si devono trovare, pochi alla volta, tutti e 120 gli anelli informazione, passandoci attraverso per sbloccarli.  
<br/>[:YouTubeEmbedOpen169:]QJCb8qnHauo[:YouTubeEmbedClose:]  
<cite>Da <a href="[:YouTubeURL:]/QJCb8qnHauo" [:HTMLTgtBlank:]>YouTube/QJCb8qnHauo</a>.</cite>

## Altri ancora

Può essere che non ho tempo, o forse non ho voglia, o magari è colpa di Antani, ma comunque ci sarebbero diverse altre opere che qui non ho menzionato. Forse molti li trovate tranquillamente sulla **OcttKB** comunque, sotto il tag [Gaming](https://kb.octt.eu.org/#Gaming).
