// % Title = 🎮 Storia antica del DSpacc
// % HTMLTitle = <span class="twa twa-🎮"><span>🎮</span></span> Storia antica del DSpacc
// % Description = La prima console da gioco della mia vita ha fatto la guerra, poi preso polvere, e ad oggi non è che stia benissimo; ma uno scopo gliel'ho dato.
// % Categories = Blog Gaming Tecnologia
// % CreatedOn = 2022-10-31

# <span class="twa twa-🎮"><span>🎮</span></span> Storia antica del DSpacc

Quasi due mesi fa, un po' casualmente mi è tornato alla mente il **DSpacc**; prima come concetto, parlandone con gente online, e poi direttamente come l'oggettino che fieramente possiedo.

Questo mio coso ha visto la **polvere**, la **gloria**, la **guerra**, e la **disperazione**. Proprio di questo avrei dovuto parlare oggi, di cosa io abbia fatto di recente per togliere un po' di polvere e riportare così il mio dispositivo alla gloria.  
Scrivendo, però, mi sono accorta di come il contesto sarebbe stato confuso se non avessi dato il giusto spazio alla storia; ma ahimè, la storia di per sé è lunga, e meritevole di un articolo dettagliato, quindi eccoci qua.

## Gli albori

Il tutto inizia quando, all'età di circa 6 anni, ebbi in regalo per il mio compleanno questo **Nintendo DS Lite**... no, non sto divagando, ora ci arrivo. Per ben 3 anni è stata la mia unica console da gioco - e, per almeno 1-2 di questi anni, il mio unico dispositivo da gioco, prima che io ottenessi il Galaxy Player o il _tablet scassone_.  
Era per me un oggetto di battaglia assolutamente indispensabile, necessario sempre e ovunque al pari del mio smartphone ad oggi, e forse per questo ha avuto una vita particolarmente intensa nei suoi primi anni. Di giochi non ne avevo tantissimi, perché avevo solo 2 GB di memoria nella flashcart e nessun gioco fisico (a parte uno oscuro, che comprai solo più avanti), ma avevo alcuni tra quelli di punta. Insomma, con Pokémon, tutti i principali Mario, e pure roba come Cooking Mama (che ai tempi andava un sacco), la goduria era sempre presente.

[![Nintendo DS Lite (right side)]([staticoso:Folder:Assets:AbsoluteRoot]/Media/Misc/Nintendo_DS_Lite_(right_side)/4.jpg)](https://commons.wikimedia.org/wiki/File:Nintendo_DS_Lite_(right_side).jpg){[:MdTgtBlank:]}
_Un DS Lite.. non il mio, per ovvi tra poco ovvi - <small>Havok at en.wikipedia, CC BY 2.5 <https://creativecommons.org/licenses/by/2.5>{[:MdTgtBlank:]}, via Wikimedia Commons</small>_

## Il giorno dello spacc

Nonostante un paio di disavventure tra flashcart - la prima un giorno smise di funzionare misteriosamente, la seconda stava iniziando dopo circa 2 anni a dare gravi segni di cedimento - **la consolina combatteva** e mi faceva divertire.  
Un brutto giorno di inizio luglio però, nel primo pomeriggio, di ritorno dal mare, il mio desiderio di giocare fece **_crack_**, assieme alla plastica della cerniera quando aprii la conchiglia. Eh sì, esattamente questo è un "DSpacc": un **DS spaccato**. Il nome poteva non dire molto, ne sono consapevole, perché non solo _l'ho coniato io_, ma anche molto di recente.

Nell'attimo mi sembrò assurdo che semplicemente aprendo la console, questa si fosse potuta rompere; e mi sembra ancora oggi assurdo, anche se ho scoperto che è un problema diffusissimo: basta digitare "nintendo ds broken" su qualunque motore di ricerca d'immagini per notare come non solo le immagini che mostrano la cerniera rotta siano la maggior parte, ma anche come quelle raffiguranti DS e DS Lite siano la maggioranza. Pare che, a partire dal DSi, Nintendo abbia infatti ridisegnato il meccanismo a conchiglia, dimostratosi fino a quel momento inadatto, e che lo abbia ulteriormente perfezionato con il 3DS; evidentemente, l'originale _faceva cahà_.

### Le conseguenze del danno

Stava per iniziare a subentrare la disperazione, anche se sul momento la console continuava a funzionare perfettamente, perché si era semplicemente spezzato un pezzo della plastica sulla destra della cerniera, che ha il solo compito di garantire **integrità strutturale**. La disperazione ha iniziato a subentrare per davvero nell'istante in cui vidi che i colori dello schermo iniziavano a sfalsarsi muovendo la conchiglia: ecco qua, **il cavo** del display **ha iniziato a subire danni**.  
Un po' dopo, credo lo stesso pomeriggio, andai con mio padre in un negozio dall'altra parte della città, per vedere quanto sarebbe costata **una riparazione**. Il prezzo ora non lo ricordo, ma decisi che **non valeva la pena**, e che sarebbe stato meglio comprare proprio un bel 3DS, visti i giochi interessanti che erano usciti o stavano per uscire per la nuova famiglia di console.

Non ricordo se nei giorni successivi continuai ad usare il DS Lite, perché molti dei titoli a cui volevo giocare richiedevano lo schermo superiore, e il gaming con i colori _sminchiati_ non mi piaceva (ad oggi non mi darebbe eccessivamente fastidio, invece). Ad ogni modo, entro la fine di quella settimana, dopo svariate ricerche in negozi sul territorio alla caccia del prezzo più conveniente, [ottenni il mio o3DS XL](https://mastodon.uno/@octo/109262437212406002){[:MdTgtBlank:]}.. e quella è tutta un'altra storia.

## L'era della polvere

Da questo momento, ovviamente, il vecchio nuovo **DSpacc finì in secondo piano**. Forse qualche volta lo prendevo ancora, almeno per giochi come Animal Crossing che richiedono solo il pannello inferiore, perché (stando alla app _Diario_, sicuramente più precisa della mia memoria) nelle prime 2 settimane di 3DS non avevo con che giocare oltre alle applicazioni di sistema. Poi, però, da un lato riuscivo lentamente a popolare di software la nuova console, dall'altro il DS Lite **stava continuando a rompersi** - più prima che poi, infatti, il display superiore ha iniziato a smettere completamente di funzionare, mostrando solo una schermata bianca con una macchia nera (?) - **la polvere** ha iniziato ad assalire il DSpacc. Come se non bastasse, la flashcart un giorno _fece ciao ciao_! 🙄  
Anche dopo anni, nonostante la mia nuova console, ogni tanto continuava a capitarmi di **riprendere in mano la vecchia**.. non so bene per quale motivo, visto che non potevo ormai farci nulla di che, non avendo giochi su schedina dedicata che potessi usare senza schermo superiore. Anche anni dopo, magari perché con il tempo qualche cartuccia DS originale ho iniziato a collezionarla e mi andava di avviarla, **a volte riaccendevo** per qualche minuto **il DS Lite**.

Tutto bello, finché, ad un certo punto, della povera console **mi sono giocata** persino **lo _SLOT-1_** (quello delle schede DS)! Ricordo che mostrava qualche difficoltà a leggere anche schedine originali, ma le altre mie memorie sull'argomento sono molto offuscate. Mi torna in mente che guardando dentro lo slot vedevo dei **pin piegati**, e che cercai di infilare qualcosa per raddrizzarli, ma invano. Non mi pare che facendo ciò ne danneggiai altri, però già da almeno 3 anni fa (rispetto al presente) ricordo che nello slot alcuni pin erano **spezzati, mancanti**... quindi, o quando ho ficcato roba nella porta ho indebolito o addirittura staccato altri pin senza accorgermene, oppure è il mettere e togliere occasionale di cartucce, nella speranza che qualcuna venisse letta, che ha spezzato i contatti già indeboliti (e sarebbe grave, perché dimostrerebbe la cattiva qualità dello slot). 

Dopo questo nuovo imprevisto, certamente potevo ancora, tramite _Download DS_, usare la console per software tecnicamente limitati, volatili, senza possibilità di salvare alcuna configurazione (o progresso, nei giochi), ma **non giriamoci attorno**: che cosa si fa di utile e continuativo così? Praticamente nulla, e **la console era** diventata quindi **un fermacarte**... fino a quando, tempo dopo, ad una fiera trovai per caso e **comprai una cartuccia di Pokémon Rubino**. Nonostante fosse addirittura senza scatola, dovevo averla: **finalmente avrei potuto giocare** a qualcosa di completo sulla mia povera consolina!

## Modifica arrangiata

Comunque, **quel pannello rotto cominciava a pesare**, _letteralmente_. La cerniera spaccata sbilanciava il peso dell'intero dispositivo, e la parte superiore della conchiglia rimaneva appesa solo grazie ai _cavi assortiti_.  
Avevo scoperto già da un po' il concetto di **GBA Macro**. Per i non addetti ai lavori, si rivede nel dare una seconda vita ad un DS che ha perso lo schermo superiore, per giocare a titoli (emulati, o non come quelli GBA, per cui la console offre retrocompatibilità hardware) di console precedenti che di loro natura possedevano un solo schermo.  
Online vedevo già gente che creava i suoi personalizzati con scocche colorate a mano in maniera unica, oppure aggiungendo tubi LED che fanno un effetto neon, messi al posto della cerniera. Tutta roba fantastica, ma se non avevo voglia (e modo, almeno al tempo non si trovava su Amazon.it) di comprare un nuovo display per riparare per bene la console, potevo mai mettermi a spendere per dettagli che, per quanto belli, sono oggettivamente superflui?

Prendo un paio di forbici, e **taglio via** i cavi per cui la metà superiore della scocca resta attaccata alla principale. E questo è? Si può tornare a giocare? Beh, _non esattamente_.  
A dire il vero, creare un Game Boy Macro per bene richiede qualche intervento hardware _un po' più ricercato_ dello strappare via con violenza lo schermo rotto, e per questo la mia storia è stata **un po' travagliata**. Prima di tutto, una **particolare operazione** è praticamente obbligatoria, se non si vogliono perdere le **funzionalità DS**: aprire il dispositivo e - oltre a staccare _per bene_ i cavi di display, altoparlanti, microfono, e antenna, _senza tagliarli_ - saldare un piccolo **resistore** su 2 testpoint della scheda madre. Normalmente, la console non supera il POST e si spegne se non rileva lo schermo superiore (precisamente, se non rileva l'assorbimento di corrente che si aspetterebbe dalla retroilluminazione dello schermo di sopra); saldare un resistore di un valore tra circa 300 e 1000 Ohm nei giusti punti serve proprio a far credere al sistema che nulla sia fuori posto.

Però, io **le mie ricerche** sul Web le avevo fatte, scoprendo così che il POST non viene eseguito per avviare una cartuccia dallo _SLOT-2_ (quello GBA), se nelle impostazioni di sistema è impostato l'**avvio automatico** di una scheda di gioco se presente. Ben prima di commettere il mio _atto violento_ quindi, perché dopo non avrei più potuto accedere al menu di sistema, ho impostato l'avvio automatico, e mi sono accertata che fosse selezionato lo schermo inferiore come pannello usato nella modalità Game Boy Advance.  
Compiuto _il crimine_, constato che la console funziona esattamente nel modo in cui _gli sconosciuti su Internet_ avevano raccontato: **è praticamente un GBA**, come se non fosse mai stato un DS.. eccetto che non ha gli speaker, perché li ho tagliati via. 😅

## Un nuovo piano

Poco più avanti, comunque, iniziai a **rivolere indietro cose** come la modalità _Download DS_.. o la regolazione della retroilluminazione. Decisi di comprare un kit di punte per cacciaviti online, che tra le tante includeva anche la stramaledettissima punta per viti tri-wing, quelle viti amate da Nintendo esattamente tanto quanto odiate da noi scemi che compriamo i suoi prodotti.  
Con la mia nuova **pericolosissima arma** (non una mia opinione questa, ma di chi si ostina ad usare viti di merda per gli oggetti che produce) posso finalmente aprire il mio DSpacc, al fine di **saldare il resistore**.. resistore **che non ho**! Ma **ho un pezzo di gomma**.  
Altre gentili anime su Internet, infatti, illustrano come i gommini conduttivi usati per i tasti dei telecomandi (e dello stesso DS) hanno spesso il giusto valore di resistenza che serve in questo caso. Fortuna ha voluto che un vecchio telecomando rotto che avevo sotto mano avesse dei gommini adatti: tagliandone uno, e tenendolo premuto col dito sui famigerati testpoint, **la console si accendeva** come prima che tagliassi via il pannello.  
Qui **la cosa dura** è stata il riuscire a **fissare** quel _cosino_ alla scheda madre, in modo che facesse la giusta pressione, e quindi il giusto contatto elettrico, sui punti dove in teoria andrebbe fatta una saldatura - _per il motivo che la stessa parola "saldatura" suggerisce_. Qualche centimetro di **nastro isolante** dopo, che ho dovuto applicare e riapplicare fino a riuscire a fermarlo con la giusta tensione, e sembrava che io avessi finito; ma _la sorte ha deciso di schernirmi_.

![Foto della zona del testpoint, con sopra applicato un misto di nastro isolante ed adesivo.]([staticoso:Folder:Assets:AbsoluteRoot]/Media/Misc/GBA-Macro-Button-Resistor.avif)

### L'ennesimo guaio

Visto che il dispositivo di _grande qualità_ - ma non solo lui, ormai anche gli _"smart"phone_ da 15 anni a questa parte - non si accende senza batteria collegata (solo con il cavo di alimentazione esterno, per capirci), e che è solo la scocca di plastica che mantiene la cella incastrata e allineata, adesso che la console era smontata dovevo **tenere la batteria con le mani** vicino ai contatti a molla, in quegli attimi di pochi secondi in cui volevo semplicemente **verificare che la console funzionasse**.
Beh, a causa di queste manovre (e l'ho capito solo dopo), forse per il mio aver maneggiato male la batteria o chissà cosa, tutto d'un tratto **il DS non si accendeva più**! Non falliva il POST come prima, eh, ma proprio **non dava segni di vita**. _La disperazione_ è salita rapidamente, non avevo la minima idea di cosa fosse successo e dove mettere le mani. È stato solo grazie ad _Ashfly_, che mi stava aiutando in chat con il mio casino, arrivo alla conclusione che **si era** appena **bruciato il fusibile** dedicato al collegamento della batteria.

Non vogliatemi male, ma non avendo il resistore che sapevo esattamente mi servisse, potevo mai avere il fusibile che non potevo mai immaginare si bruciasse? Ho dovuto quindi fare un bellissimo ponticello con lo stagno... Suvvia, non ha senso fare troppe storie a riguardo, non potrà mai succedere che io colleghi **per sbaglio**, nel vano batteria, una fonte di energia più potente di quello che la circuiteria della console può reggere; il fusibile della porta di ricarica è separato, quindi è da escludere che un alimentatore difettoso possa scaricare _i letterali fulmini_ nella CPU della console.

![Foto del ponte di stagno fatto (a fatica) sopra il fusibile della batteria, con contrassegnata la posizione della zona sull'intera board.]([staticoso:Folder:Assets:AbsoluteRoot]/Media/Misc/DSpacc-Fuse-Bridge.png)

### Questione risolta

Mi sarebbe piaciuto ricollegare lo speaker (il posto nella parte inferiore della console lo si trova) ma, da un lato l'averne tagliato il filo e la mia assoluta incompetenza a saldare del tempo (_la foto del ponticello parla da sola_) - anche se, ad oggi, almeno un filo su un testpoint grande lo so saldare - e dall'altro la frenesia di richiudere tutto nella paura che il mio disastro di nastro isolante si potesse muovere, **ho preferito chiudere tutto** e fare finta di nulla. Almeno, ho ancora la porta jack 3.5 per ascoltare audio in cuffia.

Successivamente (ben **13 mesi dopo**... ho pensato per tutto questo tempo che la console fosse bella da vedere messa com'era?!?) ho **rifinito** un po' **la scocca**, principalmente usando della carta vetrata per appiattire totalmente l'altra sporgenza che normalmente serve al meccanismo a conchiglia, facendola arrivare allo stato in cui **ancora adesso è**.

![Vecchia foto ritraente il DSpacc e un pezzo di carta vetrata sulla mia scrivania, nel momento del lavoro.]([staticoso:Folder:Assets:AbsoluteRoot]/Media/Misc/GBA-Macro-Sandpaper-Job-Detail.avif)

## Il seguito

**Giocare** a Pokémon Rubino sul mio nuovo GBA Macro, molto più compatto e leggero del DS in forma originale, **ha preso** tutto **un nuovo gusto**. Ci ho giocato decine di ore, ma ogni tanto mi veniva in mente di volermi divertire anche ad altro sull'elegante consolina.  
Escludendo totalmente le flashcart DS, perché lo slot è, come ho detto, **morto**, ho guardato a quelle GBA. Su Amazon.it, unico negozio online in cui potevo e posso comprare, mi sembra **trovai** già al tempo una _scassona_ a non più di una **ventina di euro**, ma non so perché **ho solo guardato** - e l'ho fatto più di una volta - senza mai toccare (comprare).

È passato quindi un altro abbondante anno, ed arrivo ad appena **qualche settimana fa**. Un po' a caso, mi ricordo del mio DSpacc e, visto che mi dispiace del suo essere in disuso provo a fare **una roba un po' pazza**, di cui ho parlato a [questa voce del 2022-09-18 del MicroBlog](./MicroBlog/2022-09-18-Quando-Metto-Mano-Io-Spacc.html).  
A questo punto, però, sto ormai entrando nel racconto dell'**età contemporanea del DSpacc**, che ha fin **troppi risvolti** di cui dover parlare. Nel **prossimo articolo** dettagliato sull'argomento ci sarà tutto il tempo per parlare di come, finalmente, ho rispolverato con stile questo **valoroso dispositivo** da gioco, che rimane ancora adesso valido nonostante la cattiva sorte.

**Grazie per la lettura!** Se hai trovato la storia intrigante, allora tieni gli occhi aperti per il seguito! 😄

---

_Pss... La storia che riguarda la modifica Macro in sé meriterebbe un piccolo dossier a parte, secondo me. Grazie all'esistenza dei vecchi messaggi scritti posso comporlo.. dovrei?_
