<!-- < Autogenerated by ListedDownsync.js. Do not edit (unless also set "% Downsync = False") - it would be overwritten. > -->
// % Title = 2️⃣ Gaming sincronizzato tra PlayStation 2 e smartphone
// % CreatedOn = 2023-10-17
// % Downsync = /Posts/Notes/Gaming-Sincronizzato-PS2-Smartphone.html
// % HTMLTitle = <span class="twa twa-2️⃣"><span>2️⃣</span></span> Gaming sincronizzato tra PlayStation 2 e smartphone
// % Description = Per filo e per segno, come ho ideato un sistema per avere giochi e salvataggi sempre sincronizzati tra emulatore e console PS2 reale, condiviso qui.
// % Categories = Note Gaming
// % EditedOn = 2023-10-18

<h1><span class="twa twa-2️⃣"><span>2️⃣</span></span> Gaming sincronizzato tra PlayStation 2 e smartphone</h1>

<p>Chi segue le mie avventure da abbastanza tempo e con dovuta attenzione forse lo sa, ma il più grande problema dell'informatica è: come conciliare bene le discrepanze che si vengono a creare quando ci si pone il problema di videogiocare sia a casa che in portatilità? Tra giochi che in un caso sono comodi da giocare e in un altro magari nemmeno girano, e i salvataggi che si spargono per innumerevoli dispositivi diversi, risolvere questo problema in toto non sarà mai possibile...<br>
Eppure, certe volte, l'entropia del cervello è in grado di generare idee particolarmente utili anche a questo proposito, come mi è successo l'altro giorno per la PS2.</p>

<p>Io ho infatti una reale PlayStation 2, console domestica che quando si trova modo di usare è certamente apprezzabile... e che io spesso mi trovavo a non usare, per i motivi sopracitati: né direttamente, perché a casa spesso non mi va, né con emulatore sullo smartphone, perché sentirei che a casa non sfrutterei la vera console dato che i salvataggi aggiornati starebbero solo sul telefono.<br>
E allora, proprio l'altro giorno, fissando la console (non so bene perché), penso che dovrebbe esistere un modo per avere i salvataggi facilmente sincronizzati tra quella e il telefono...</p>

<h2>Intoppo 1: chiavetta o memory card?</h2>

<p>Sul momento, l'idea più semplice a cui ho pensato è stata: esistono <a href="https://www.amazon.it/Adattatore-Memoria-Lettore-Sostitutivo-trasparente/dp/B0C8TTQFJY" rel="noopener nofollow" target="_blank">degli adattatori</a> per usare una scheda microSD come memory card PlayStation (che usano invece un'interfaccia non-standard)... potrebbe convenire comprare uno di quelli, così tengo lì tutti i salvataggi, e a desiderio posso accedervi anche da altri dispositivi spostando la scheda in giro.<sup id="fnref1"><a class="footnote-ref" href="#fn1">1</a></sup><br>
Con una scheda da diversi GB (tanto ormai in giro non se ne trovano di piccole comunque), inoltre, potrei anche fare a meno della chiavetta USB e tenere tutti i giochi solo sulla scheda di memoria!</p>

<p>Per fortuna, questo non è l'unico modo, almeno per certi giochi: <a href="https://github.com/ps2homebrew/Open-PS2-Loader" rel="noopener nofollow" target="_blank">Open PS2 Loader</a>, l'homebrew che esegue giochi commerciali da memorie di backup (come le chiavette USB), supporta l'uso di memory card virtuali (VMC) che sono salvate come file sull'unità USB. I giochi sono alquanto lenti a salvare su quella (la PS2 supporta solo USB 1.1, e in più c'è dell'overhead strano), però è una soluzione apparentemente agibile.</p>

<h2>Intoppo 2: conversione dei salvataggi</h2>

<p>Indipendentemente dalla precedente scelta, scopro però un altro ostacolo: i salvataggi andrebbero convertiti per essere passati dalla console all'emulatore (almeno <a href="https://aethersx2.com" rel="noopener nofollow" target="_blank">AetherSX2</a>, nel bene e nel male l'unico veramente decente ad oggi) e poi viceversa.<br>
Fortunatamente, trovo subito <a href="http://www.csclub.uwaterloo.ca:11068/mymc" rel="noopener nofollow" target="_blank">mymc</a>, un programma talmente antico che richiede Python 2 (mentre al momento siamo da anni e anni al 3), che però funziona, e grazie al cielo offre un'interfaccia a riga di comando.</p>

<p>Di per sé non fa vere conversioni di memory card virtuali, ma permette di manipolare i file contenuti in vari modi. Tutto molto grezzo, ma per fortuna abbastanza sfruttabile per fare proprio quello che serve a me, dopo aver assemblato uno script ideale.<br>
Non mi metto a spiegare come funziona, in fondo all'articolo potete scaricarlo e leggerlo, è una noia. Ho pacchettizzato mymc dentro lo script, così che non vada installato a parte.</p>

<h3>Intoppo 3: convertire dal telefono</h3>

<p><em>Nota 2023-10-18: ho trovato un fork moderno (in Python 3) di mymc, <a href="https://sr.ht/%7Ethestr4ng3r/mymcplus/" rel="noopener nofollow" target="_blank">mymc+</a>... non l'ho (ancora) provato, ma è possibile che questo possa funzionare anche su Android, eliminando il setup intricato che segue, quindi lo menziono.</em></p>

<p>Purtroppo, mymc ha qualche problema a funzionare in <a href="https://termux.dev/en" rel="noopener nofollow" target="_blank">Termux</a> (l'ambiente Linux nativo molto comodo per questo tipo di integrazioni) sul mio Android: non so di cosa sia la colpa, ma in pratica il programma ha problemi a leggere i file VMC, tirando un errore del tipo di <code class="prettyprint">file.vmc: Bad file descriptor</code>. Non ho trovato soluzioni online, nemmeno per ricerche generiche del problema, quindi ho dovuto arrangiarmi. Forse usare un sistema GNU+Linux containerizzato in proot, con le sue librerie e una build diversa di Python 2.7, basterebbe a risolvere il problema, ma chissà.<br>
Dal canto mio, mi stavo iniziando a scocciare, e allora ho optato per delegare la conversione al mio server Debian, facendo svolgere ad uno script in Termux il semplice compito di caricare la VMC sul server, eseguire lì sopra il vero script di conversione, e poi scaricare il file convertito nella giusta posizione in locale.</p>

<p>Prima che mi dimentichi: su Android 13 e superiori (ma già da alcune versioni passate) servono i permessi di root per far leggere e scrivere file da/su memorie esterne (come la chiavetta USB) e cartelle private delle applicazioni (come quella dove AetherSX2 conserva le memory card virtuali).<br>
A quanto ho potuto provare, se non si ha il root bisognerà per forza usare un gestore di file adeguato (e non credo ne esistano di scriptabili, quindi bisogna usare le manine), o forse ADB, per spostare i file in giro... ringraziate Google.<br>
In ogni caso, i miei script hanno scritti dentro i percorsi speciali usati per tutto l'ambaradan.</p>

<p>Usando <a href="https://wiki.termux.com/wiki/Termux:Widget" rel="noopener nofollow" target="_blank">Termux:Widget</a>, ho aggiunto infine due collegamenti al mio launcher di sistema, per la conversione della VMC:</p>

<ul>
<li>uno che va dal formato PS2 a quello emulatore, da eseguire quando voglio giocare su telefono ma i salvataggi sulla pennetta sono stati modificati l'ultima volta dalla PS2;</li>
<li>l'altro per la conversione inversa, da eseguire quando voglio andare a giocare sulla PS2 una volta che è stato l'emulatore ad aggiornare i miei salvataggi.</li>
</ul>

<p>A spiegarlo mi rendo conto che appaia complicatissimo, nella pratica devo solo premere un tasto e aspettare una manciata di secondi.</p>

<h2>Nella pratica: il pregio della memoria unica</h2>

<p>Eliminati gli intoppi, la configurazione è fatta, ed il suo punto di forza sta nella centralizzazione di giochi e salvataggi su un unico dispositivo: la chiave USB. In questo modo:</p>

<ul>
<li>evito la confusione generata da giochi che ho da una parte ma non l'altra, specialmente quando voglio modificare la mia raccolta;</li>
<li>non mi serve una microSD tanto più grande nello smartphone per contenere tutti i giochi che ho già su un'altra memoria portatile, con vantaggi per la stabilità degli altri dati ed il peso del portafogli;</li>
<li>non c'è confusione extra per la gestione di anche i salvataggi, essendo questi gestiti come ho detto prima.</li>
</ul>

<p>Sulla PS2 attacco la pennetta normalmente quando mi serve, invece sullo smartphone devo usare un adattatore USB-C OTG, cosa mediamente scomoda ma c'è poco da fare. Per evitare di perdere 'sti robi in giro, ho attaccato poi un moschettone alla pennina USB, e un anello portachiavi nel buco per i laccetti che ho sulla cover del telefono.</p>

<h2>Concludendo: idee a catena</h2>

<p>Credo che questo sia il sistema più ideale date le mie condizioni iniziali, e nei giorni a seguire lo proverò per bene.<br>
Probabilmente, dovrò comunque procurarmi una memoria esterna più capiente per conservare più giochi, perché quella da 32 GB che uso ora mi è sempre stata strettina.</p>

<p>Magari, prendendone una abbastanza grande, e scrivendo un homebrew apposito, credo di poter adattare questo mio sistema anche per i giochi Wii, usando la stessa memoria anche per quelli... spoiler? 👀</p>

<p>In vera fine, ecco le risorse aggiuntive per questo articolo:</p>

<ul>
<li>La mia domanda iniziale e la breve discussione del sistema su Sony Hacking Zone: <a href="https://t.me/SonyHacking/46784" rel="noopener nofollow" target="_blank">https://t.me/SonyHacking/46784</a>;</li>
<li>Guida all'uso delle VMC su OPL: <a href="https://youtube.com/watch?v=tBrKcJC_E4U" rel="noopener nofollow" target="_blank">https://youtube.com/watch?v=tBrKcJC_E4U</a></li>
<li>I miei script di conversione (su GitLab): <a href="https://gitlab.com/octospacc/Snippets/-/blob/main/Ps2EmuVmcConvert.sh" rel="noopener nofollow" target="_blank">diretto</a>, <a href="https://gitlab.com/octospacc/Snippets/-/blob/main/Ps2EmuVmcConvertCloud.sh" rel="noopener nofollow" target="_blank">via server</a>;</li>
<li>Build Android di AetherSX2 con cui gioco (ultima senza adware): <a href="https://www.apkmirror.com/apk/aethersx2/aethersx2/aethersx2-v1-4-3060-release/aethersx2-v1-4-3060-android-apk-download/" rel="noopener nofollow" target="_blank">https://www.apkmirror.com/apk/aethersx2/aethersx2/aethersx2-v1-4-3060-release/aethersx2-v1-4-3060-android-apk-download/</a>.</li>
</ul>



<div class="footnotes">
<ol>

<li id="fn1">
<p>Su questo riscontro opinioni contrastanti o consigli non troppo chiari, quindi attenzione: non si capisce se questi adattatori funzionino anche come normali memory card per i salvataggi dei giochi (e dunque anche possibilmente come scheda per FMCB), oppure solo come memoria esterna per homebrew come OPL... in ogni caso sarebbe un acquisto potenzialmente valido, considerando le inconvenienze tecniche della USB su PS2.&nbsp;<a href="#fnref1">↩</a></p>
</li>

</ol>
</div>
